## gpac-dmo 1.0.1+really1.0.1+20210801.git2dfbf0c7a

=== Makefile ===
#
# Main gpac Makefile
#
include config.mak

ifndef SRC_PATH
override SRC_PATH = .
endif

vpath %.c $(SRC_PATH)

all:	version
	$(MAKE) -C src all
	$(MAKE) -C applications all
ifneq ($(STATIC_BINARY),yes)
	$(MAKE) -C modules all
endif


config.mak:
	./configure


GITREV_PATH:=$(SRC_PATH)/include/gpac/revision.h
TAG:=$(shell git --git-dir=$(SRC_PATH)/.git describe --tags --abbrev=0 2> /dev/null)
VERSION:=$(shell echo `git --git-dir=$(SRC_PATH)/.git describe --tags --long  || echo "UNKNOWN"` | sed "s/^$(TAG)-//")
BRANCH:=$(shell git --git-dir=$(SRC_PATH)/.git rev-parse --abbrev-ref HEAD 2> /dev/null || echo "UNKNOWN")

version:
	@if [ -d $(SRC_PATH)/".git" ]; then \
		echo "#define GPAC_GIT_REVISION	\"$(VERSION)-$(BRANCH)\"" > $(GITREV_PATH).new; \
		if ! diff -q $(GITREV_PATH) $(GITREV_PATH).new >/dev/null ; then \
			mv $(GITREV_PATH).new  $(GITREV_PATH); \
		fi; \
	else \
		echo "No GIT Version found" ; \
	fi

lib:	version
	$(MAKE) -C src all

apps:
	$(MAKE) -C applications all

sggen:
	$(MAKE) -C applications sggen

mods:
	$(MAKE) -C modules all

instmoz:
	$(MAKE) -C applications/osmozilla install

depend:
	$(MAKE) -C src dep
	$(MAKE) -C applications dep
	$(MAKE) -C modules dep

clean:
	$(MAKE) -C src clean
	$(MAKE) -C applications clean
	$(MAKE) -C modules clean

distclean:
	$(MAKE) -C src distclean
	$(MAKE) -C applications distclean
	$(MAKE) -C modules distclean
	rm -f config.mak config.h config.log
	@find . -type f -name '*.gcno*' -delete
	@find . -type f -name '*.gcda*' -delete
	@rm -f coverage.info 2> /dev/null
	@rm -f bin/gcc/gm_*$(DYN_LIB_SUFFIX) 2> /dev/null
	@rm -f bin/gcc/gf_*$(DYN_LIB_SUFFIX) 2> /dev/null

doc:
	@cd $(SRC_PATH)/share/doc && doxygen

man:
	@cd $(SRC_PATH)/share/doc/man && MP4Box -genman && MP4Client -genman && gpac -genman

test_suite:
	@cd $(SRC_PATH)/testsuite && ./make_tests.sh -precommit -p=0

lcov_clean:
	lcov --directory . --zerocounters

lcov_only:
	@echo "Generating lcov info in coverage.info"
	@rm -f ./gpac-conf-* > /dev/null
	@lcov -q -capture --directory . --output-file all.info
	@lcov --remove all.info '*/usr/*' '*/opt/*' '*/include/*' '*/validator/*' '*/quickjs/*' '*/jsmods/WebGLRenderingContextBase*' '*/utils/Remotery*' '*/utils/gzio*'  --output coverage.info
	@rm all.info
	@echo "Purging lcov info"
	@cd src ; for dir in * ; do cd .. ; sed -i -- "s/$$dir\/$$dir\//$$dir\//g" coverage.info; cd src; done ; cd ..
	@echo "Done - coverage.info ready"

lcov:	lcov_only
	@rm -rf coverage/
	@genhtml -q -o coverage coverage.info

travis_tests:
	@echo "Running tests in $(SRC_PATH)/testsuite"
	@cd $(SRC_PATH)/testsuite && ./make_tests.sh -precommit -p=0

travis_deploy:
	@echo "Deploying results"
	@cd $(SRC_PATH)/testsuite && ./ghp_deploy.sh

travis: travis_tests lcov travis_deploy

dep:	depend

install:
	$(INSTALL) -d "$(DESTDIR)$(prefix)"

	$(MAKE) install-lib

	$(INSTALL) -d "$(DESTDIR)$(prefix)/bin"
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/gpac$(EXE_SUFFIX) "$(DESTDIR)$(prefix)/bin"
ifeq ($(DISABLE_ISOFF),no)
	if [ -f bin/gcc/MP4Box$(EXE_SUFFIX) ] ; then \
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/MP4Box$(EXE_SUFFIX) "$(DESTDIR)$(prefix)/bin" ; \
	fi
endif
ifneq ($(STATIC_BINARY),yes)
ifeq ($(DISABLE_PLAYER),no)
	if [ -f bin/gcc/MP4Client$(EXE_SUFFIX) ] ; then \
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/MP4Client$(EXE_SUFFIX) "$(DESTDIR)$(prefix)/bin" ; \
	fi
endif
endif
	$(INSTALL) -d "$(DESTDIR)$(prefix)/$(lib_dir)/$(moddir)"
ifneq ($(STATIC_BINARY),yes)
	$(INSTALL) bin/gcc/gm_*$(DYN_LIB_SUFFIX) "$(DESTDIR)$(prefix)/$(lib_dir)/$(moddir)" || true
	$(INSTALL) bin/gcc/gf_*$(DYN_LIB_SUFFIX) "$(DESTDIR)$(prefix)/$(lib_dir)/$(moddir)" || true
ifeq ($(CONFIG_OPENHEVC),yes)
	cp -a bin/gcc/libopenhevc* $(DESTDIR)$(prefix)/$(lib_dir)/ || true
endif

endif
	$(INSTALL) -d "$(DESTDIR)$(prefix)/$(man_dir)"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/$(man_dir)/man1"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/doc/man/mp4box.1 $(DESTDIR)$(prefix)/$(man_dir)/man1/
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/doc/man/mp4client.1 $(DESTDIR)$(prefix)/$(man_dir)/man1/
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/doc/man/gpac.1 $(DESTDIR)$(prefix)/$(man_dir)/man1/
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/doc/man/gpac-filters.1 $(DESTDIR)$(prefix)/$(man_dir)/man1/
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/res"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/gui"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/gui/icons"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/gui/extensions"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/shaders"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/scripts"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/python"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/gpac/vis"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/default.cfg $(DESTDIR)$(prefix)/share/gpac/

ifneq ($(CONFIG_DARWIN),yes)
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/icons/hicolor/128x128/apps"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/share/applications"

	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/res/gpac.png "$(DESTDIR)$(prefix)/share/icons/hicolor/128x128/apps/"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/gpac.desktop "$(DESTDIR)$(prefix)/share/applications/"
endif

	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/gui/gui.bt "$(DESTDIR)$(prefix)/share/gpac/gui/"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/gui/gui.js "$(DESTDIR)$(prefix)/share/gpac/gui/"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/share/gui/gwlib.js "$(DESTDIR)$(prefix)/share/gpac/gui/"


ifeq ($(CONFIG_DARWIN),yes)
	cp $(SRC_PATH)/share/gui/icons/* "$(DESTDIR)$(prefix)/share/gpac/gui/icons/"
	cp -R $(SRC_PATH)/share/gui/extensions/* "$(DESTDIR)$(prefix)/share/gpac/gui/extensions/"
	cp $(SRC_PATH)/share/shaders/* "$(DESTDIR)$(prefix)/share/gpac/shaders/"
	cp -R $(SRC_PATH)/share/scripts/* "$(DESTDIR)$(prefix)/share/gpac/scripts/"
	cp -R $(SRC_PATH)/share/python/* "$(DESTDIR)$(prefix)/share/gpac/python/"
	cp $(SRC_PATH)/share/res/* "$(DESTDIR)$(prefix)/share/gpac/res/"
	cp -R $(SRC_PATH)/share/vis/* "$(DESTDIR)$(prefix)/share/gpac/vis/"
else
	cp --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/gui/icons/* $(DESTDIR)$(prefix)/share/gpac/gui/icons/
	cp -R --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/gui/extensions/* $(DESTDIR)$(prefix)/share/gpac/gui/extensions/
	cp --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/shaders/* $(DESTDIR)$(prefix)/share/gpac/shaders/
	cp -R --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/scripts/* $(DESTDIR)$(prefix)/share/gpac/scripts/
	cp -R --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/python/* $(DESTDIR)$(prefix)/share/gpac/python/
	cp --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/res/* $(DESTDIR)$(prefix)/share/gpac/res/
	cp -R --no-preserve=mode,ownership,timestamp $(SRC_PATH)/share/vis/* $(DESTDIR)$(prefix)/share/gpac/vis/
endif

lninstall:
	$(INSTALL) -d "$(DESTDIR)$(prefix)"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/$(lib_dir)"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/bin"
	ln -sf $(BUILD_PATH)/bin/gcc/gpac$(EXE_SUFFIX) $(DESTDIR)$(prefix)/bin/gpac$(EXE_SUFFIX)
ifeq ($(DISABLE_ISOFF),no)
	ln -sf $(BUILD_PATH)/bin/gcc/MP4Box$(EXE_SUFFIX) $(DESTDIR)$(prefix)/bin/MP4Box$(EXE_SUFFIX)
endif
ifneq ($(STATIC_BINARY),yes)
ifeq ($(DISABLE_PLAYER),no)
	ln -sf $(BUILD_PATH)/bin/gcc/MP4Client$(EXE_SUFFIX) $(DESTDIR)$(prefix)/bin/MP4Client$(EXE_SUFFIX)
endif
endif
ifeq ($(CONFIG_DARWIN),yes)
	ln -s $(BUILD_PATH)/bin/gcc/libgpac$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.$(VERSION_SONAME)$(DYN_LIB_SUFFIX)
	ln -sf $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.$(VERSION_SONAME)$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.$(VERSION_MAJOR)$(DYN_LIB_SUFFIX)
	ln -sf $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.$(VERSION_SONAME)$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac$(DYN_LIB_SUFFIX)

	ln -s $(BUILD_PATH)/bin/gcc/ $(DESTDIR)$(prefix)/$(lib_dir)/gpac
	ln -s $(SRC_PATH)/share/ $(DESTDIR)$(prefix)/share/gpac
else
	ln -s $(BUILD_PATH)/bin/gcc/libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME)
	ln -sf $(DESTDIR)$(prefix)/$(lib_dir)/libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.so.$(VERSION_MAJOR)
	ln -sf $(DESTDIR)$(prefix)/$(lib_dir)/libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.so
	ln -s $(BUILD_PATH)/bin/gcc/ $(DESTDIR)$(prefix)/$(lib_dir)/gpac

	ln -s $(SRC_PATH)/share/ $(DESTDIR)$(prefix)/share/gpac
	ln -sf $(DESTDIR)$(prefix)/share/gpac/res/gpac.png $(DESTDIR)/usr/share/icons/hicolor/128x128/apps/gpac.png
	ln -sf $(SRC_PATH)/share/gpac.desktop $(DESTDIR)/usr/share/applications/

ifeq ($(DESTDIR)$(prefix),$(prefix))
	ldconfig || true
endif

endif

uninstall:
	$(MAKE) -C applications uninstall
	$(MAKE) uninstall-lib
	rm -rf $(DESTDIR)$(prefix)/$(lib_dir)/$(moddir)
	rm -rf $(DESTDIR)$(prefix)/bin/MP4Box
	rm -rf $(DESTDIR)$(prefix)/bin/MP4Client
	rm -rf $(DESTDIR)$(prefix)/bin/gpac
	rm -rf $(DESTDIR)$(prefix)/$(man_dir)/man1/mp4box.1
	rm -rf $(DESTDIR)$(prefix)/$(man_dir)/man1/mp4client.1
	rm -rf $(DESTDIR)$(prefix)/$(man_dir)/man1/gpac.1
	rm -rf $(DESTDIR)$(prefix)/$(man_dir)/man1/gpac-filters.1
	rm -rf $(DESTDIR)$(prefix)/share/gpac
	rm -rf $(DESTDIR)$(prefix)/share/icons/hicolor/128x128/apps/gpac.png
	rm -rf $(DESTDIR)$(prefix)/share/applications/gpac.desktop


installdylib:
ifneq ($(STATIC_BINARY),yes)

	$(INSTALL) -d "$(DESTDIR)$(prefix)/$(lib_dir)"

ifeq ($(CONFIG_WIN32),yes)
	$(INSTALL) -d "$(DESTDIR)$(prefix)/bin"

	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/libgpac.dll.a $(DESTDIR)$(prefix)/$(lib_dir)
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/libgpac.dll $(DESTDIR)$(prefix)/bin
else

ifeq ($(DEBUGBUILD),no)
	$(STRIP) -S bin/gcc/libgpac$(DYN_LIB_SUFFIX)
endif

ifeq ($(CONFIG_DARWIN),yes)
	$(INSTALL) -m 755 bin/gcc/libgpac$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.$(VERSION_SONAME)$(DYN_LIB_SUFFIX)
	ln -sf libgpac.$(VERSION_SONAME)$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.$(VERSION_MAJOR)$(DYN_LIB_SUFFIX)
	ln -sf libgpac.$(VERSION_SONAME)$(DYN_LIB_SUFFIX) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac$(DYN_LIB_SUFFIX)
else
	$(INSTALL) $(INSTFLAGS) -m 755 bin/gcc/libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME)
	ln -sf libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.so.$(VERSION_MAJOR)
	ln -sf libgpac$(DYN_LIB_SUFFIX).$(VERSION_SONAME) $(DESTDIR)$(prefix)/$(lib_dir)/libgpac.so
ifeq ($(DESTDIR)$(prefix),$(prefix))
	ldconfig || true
endif
endif

endif

endif


uninstalldylib:
	rm -rf $(DESTDIR)$(prefix)/$(lib_dir)/libgpac*
ifeq ($(CONFIG_WIN32),yes)
	rm -rf "$(DESTDIR)$(prefix)/bin/libgpac*"
endif

install-lib:
	$(INSTALL) -d "$(DESTDIR)$(prefix)/include/gpac"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/include/gpac/internal"
	$(INSTALL) -d "$(DESTDIR)$(prefix)/include/gpac/modules"

	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/include/gpac/*.h "$(DESTDIR)$(prefix)/include/gpac"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/include/gpac/internal/*.h "$(DESTDIR)$(prefix)/include/gpac/internal"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/include/gpac/modules/*.h "$(DESTDIR)$(prefix)/include/gpac/modules"

	$(INSTALL) $(INSTFLAGS) -m 644 config.h "$(DESTDIR)$(prefix)/include/gpac/configuration.h" || true

ifeq ($(GPAC_ENST),yes)
	$(INSTALL) -d "$(DESTDIR)$(prefix)/include/gpac/enst"
	$(INSTALL) $(INSTFLAGS) -m 644 $(SRC_PATH)/include/gpac/enst/*.h "$(DESTDIR)$(prefix)/include/gpac/enst"
endif

	$(INSTALL) -d "$(DESTDIR)$(prefix)/$(lib_dir)"
	$(INSTALL) $(INSTFLAGS) -m 644 "./bin/gcc/libgpac_static.a" "$(DESTDIR)$(prefix)/$(lib_dir)" || true

	$(INSTALL) -d $(DESTDIR)$(prefix)/$(lib_dir)/pkgconfig
	$(INSTALL) $(INSTFLAGS) -m 644 gpac.pc "$(DESTDIR)$(prefix)/$(lib_dir)/pkgconfig"

	$(MAKE) installdylib


uninstall-lib:
	rm -rf "$(DESTDIR)$(prefix)/include/gpac/internal"

=== src/Makefile ===
include ../config.mak

vpath %.c $(SRC_PATH)/src

CFLAGS=-I"$(SRC_PATH)/include" $(OPTFLAGS)

ifeq ($(DEBUGBUILD),yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD),yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

## libgpac objects gathering: src/utils
LIBGPAC_UTILS=utils/os_divers.o utils/os_file.o utils/list.o utils/bitstream.o utils/constants.o utils/error.o utils/alloc.o utils/url.o utils/configfile.o utils/gltools.o utils/gzio.o
ifeq ($(DISABLE_CORE_TOOLS),no)
LIBGPAC_UTILS+=utils/sha1.o utils/base_encoding.o utils/math.o utils/os_net.o utils/os_thread.o utils/os_config_init.o utils/cache.o utils/downloader.o utils/xml_parser.o utils/utf.o utils/token.o utils/color.o utils/Remotery.o
endif

ifeq ($(DISABLE_PLAYER),no)
LIBGPAC_UTILS+=utils/uni_bidi.o utils/unicode.o
endif
LIBGPAC_UTILS+=utils/os_module.o utils/module.o utils/path2d.o utils/path2d_stroker.o

## libgpac objects gathering: src/ietf
LIBGPAC_IETF=
ifeq ($(DISABLE_STREAMING),no)
LIBGPAC_IETF=ietf/rtcp.o ietf/rtp.o ietf/rtp_packetizer.o ietf/rtp_pck_3gpp.o ietf/rtp_pck_mpeg12.o ietf/rtp_pck_mpeg4.o ietf/rtsp_command.o ietf/rtsp_common.o ietf/rtsp_response.o ietf/rtsp_session.o ietf/sdp.o ietf/rtp_depacketizer.o ietf/rtp_streamer.o
endif

## libgpac objects gathering: src/bifs
LIBGPAC_BIFS=
ifeq ($(DISABLE_BIFS),no)
LIBGPAC_BIFS=bifs/arith_decoder.o bifs/bifs_codec.o bifs/bifs_node_tables.o bifs/com_dec.o bifs/com_enc.o bifs/conditional.o bifs/field_decode.o bifs/field_encode.o bifs/memory_decoder.o bifs/predictive_mffield.o bifs/quantize.o bifs/script_dec.o bifs/script_enc.o bifs/unquantize.o
endif

## libgpac objects gathering: src/isomedia
LIBGPAC_ISOM=isomedia/avc_ext.o isomedia/box_code_3gpp.o isomedia/box_code_apple.o isomedia/box_code_base.o isomedia/box_code_drm.o isomedia/box_code_meta.o isomedia/box_dump.o isomedia/box_funcs.o isomedia/data_map.o isomedia/drm_sample.o isomedia/isom_intern.o isomedia/isom_read.o isomedia/isom_store.o isomedia/isom_write.o isomedia/media.o isomedia/media_odf.o isomedia/meta.o isomedia/movie_fragments.o isomedia/sample_descs.o isomedia/stbl_read.o isomedia/stbl_write.o isomedia/track.o isomedia/tx3g.o isomedia/iff.o
ifeq ($(DISABLE_ISOFF_HINT),no)
LIBGPAC_ISOM+=isomedia/hint_track.o isomedia/hinting.o
endif
ifeq ($(DISABLE_ISOM_ADOBE),no)
LIBGPAC_ISOM+=isomedia/box_code_adobe.o
endif


## libgpac objects gathering: src/odf
LIBGPAC_ODF=odf/desc_private.o odf/descriptors.o odf/odf_code.o odf/odf_codec.o odf/odf_command.o odf/qos.o odf/slc.o
ifeq ($(MINIMAL_OD),no)
LIBGPAC_ODF+=odf/ipmpx_code.o odf/oci_codec.o

ifeq ($(DISABLE_OD_DUMP),no)
LIBGPAC_ODF+=odf/ipmpx_dump.o
endif

ifeq ($(DISABLE_OD_PARSE),no)
LIBGPAC_ODF+=odf/ipmpx_parse.o
endif

endif

ifeq ($(DISABLE_OD_DUMP),no)
LIBGPAC_ODF+=odf/odf_dump.o
endif
ifeq ($(DISABLE_OD_PARSE),no)
LIBGPAC_ODF+=odf/odf_parse.o
endif

## libgpac objects gathering: src/scenegraph
LIBGPAC_SCENE=scenegraph/base_scenegraph.o scenegraph/mpeg4_animators.o scenegraph/commands.o scenegraph/mpeg4_nodes.o scenegraph/mpeg4_valuator.o scenegraph/vrml_interpolators.o scenegraph/vrml_proto.o scenegraph/vrml_route.o scenegraph/vrml_script.o scenegraph/vrml_js.o scenegraph/vrml_tools.o scenegraph/x3d_nodes.o scenegraph/svg_attributes.o scenegraph/svg_types.o scenegraph/svg_js.o scenegraph/smil_anim.o scenegraph/smil_timing.o scenegraph/svg_properties.o scenegraph/dom_events.o  scenegraph/dom_js.o scenegraph/xml_ns.o

## libgpac objects gathering: src/crypto
LIBGPAC_CRYPTO=
ifeq ($(DISABLE_CRYPTO),no)
LIBGPAC_CRYPTO+=crypto/g_crypt.o crypto/g_crypt_openssl.o crypto/g_crypt_tinyaes.o crypto/tiny_aes.o
endif

LIBGPAC_EVG=evg/ftgrays.o evg/raster3d.o evg/raster_565.o evg/raster_argb.o evg/raster_rgb.o evg/raster_yuv.o evg/stencil.o evg/surface.o

## libgpac objects gathering: src/media tools
LIBGPAC_MEDIATOOLS=media_tools/isom_tools.o media_tools/dash_segmenter.o media_tools/av_parsers.o media_tools/route_dmx.o

ifeq ($(DISABLE_AV_PARSERS),no)
LIBGPAC_MEDIATOOLS+=media_tools/img.o
endif
ifeq ($(DISABLE_MEDIA_IMPORT),no)
LIBGPAC_MEDIATOOLS+=media_tools/media_import.o
endif
ifeq ($(DISABLE_M2TS),no)
LIBGPAC_MEDIATOOLS+=media_tools/mpegts.o
endif
ifeq ($(DISABLE_MPD),no)
LIBGPAC_MEDIATOOLS+=media_tools/m3u8.o media_tools/mpd.o
endif
ifeq ($(DISABLE_DASH_CLIENT),no)
LIBGPAC_MEDIATOOLS+=media_tools/dash_client.o
endif
ifeq ($(DISABLE_MEDIA_EXPORT),no)
LIBGPAC_MEDIATOOLS+=media_tools/media_export.o
endif
ifeq ($(DISABLE_M2TS_MUX),no)
LIBGPAC_MEDIATOOLS+=media_tools/m2ts_mux.o
endif
ifeq ($(DISABLE_DVBX),no)
LIBGPAC_MEDIATOOLS+=media_tools/ait.o media_tools/dsmcc.o media_tools/dvb_mpe.o media_tools/reedsolomon.o
endif
ifeq ($(DISABLE_AVILIB),no)
LIBGPAC_MEDIATOOLS+=media_tools/avilib.o
endif
ifeq ($(DISABLE_M2PS),no)
LIBGPAC_MEDIATOOLS+=media_tools/mpeg2_ps.o
endif
ifeq ($(DISABLE_OGG),no)
LIBGPAC_MEDIATOOLS+=media_tools/gpac_ogg.o
endif
ifeq ($(DISABLE_CRYPTO),no)
LIBGPAC_MEDIATOOLS+=media_tools/crypt_tools.o
endif
ifeq ($(DISABLE_ISOFF_HINT),no)
LIBGPAC_MEDIATOOLS+=media_tools/isom_hinter.o
else
ifeq ($(DISABLE_STREAMING),no)
LIBGPAC_MEDIATOOLS+=media_tools/isom_hinter.o
endif
endif
ifeq ($(DISABLE_SAF),no)
LIBGPAC_MEDIATOOLS+=media_tools/saf.o
endif
ifeq ($(DISABLE_VOBSUB),no)
LIBGPAC_MEDIATOOLS+=media_tools/vobsub.o
endif

LIBGPAC_MEDIATOOLS+=media_tools/webvtt.o

LIBGPAC_FILTERS=filter_core/filter_pck.o filter_core/filter_pid.o filter_core/filter_props.o filter_core/filter_queue.o filter_core/filter_session.o filter_core/filter_register.o filter_core/filter.o filter_core/filter_session_js.o

LIBGPAC_QUICKJS=
LIBGPAC_JSMODS=
JSMODS_CFLAGS=
ifeq ($(CONFIG_JS),yes)
LIBGPAC_QUICKJS=quickjs/cutils.o quickjs/libbf.o quickjs/libregexp.o quickjs/libunicode.o quickjs/quickjs.o quickjs/quickjs-libc.o
LIBGPAC_JSMODS+=jsmods/core.o jsmods/evg.o jsmods/scene_js.o jsmods/storage.o jsmods/webgl.o jsmods/xhr.o
ifneq ($(CONFIG_FFMPEG),no)
JSMODS_CFLAGS+=$(ffmpeg_cflags)
endif
endif



## libgpac objects gathering: src/scene_manager
LIBGPAC_SCENEMANAGER=
ifeq ($(DISABLE_SMGR),no)
LIBGPAC_SCENEMANAGER+=scene_manager/scene_manager.o scene_manager/text_to_bifs.o
endif
ifeq ($(DISABLE_LOADER_BT),no)
LIBGPAC_SCENEMANAGER+=scene_manager/loader_bt.o
endif
ifeq ($(DISABLE_LOADER_XMT),no)
LIBGPAC_SCENEMANAGER+=scene_manager/loader_xmt.o
endif
ifeq ($(DISABLE_LOADER_ISOFF),no)
LIBGPAC_SCENEMANAGER+=scene_manager/loader_isom.o
endif
ifeq ($(DISABLE_LOADER_QTVR),no)
LIBGPAC_SCENEMANAGER+=scene_manager/loader_qt.o
endif
ifeq ($(DISABLE_SVG),no)
LIBGPAC_SCENEMANAGER+=scene_manager/loader_svg.o
endif
ifeq ($(DISABLE_LOADER_SWF),no)
LIBGPAC_SCENEMANAGER+=scene_manager/swf_parse.o scene_manager/swf_bifs.o scene_manager/swf_svg.o
endif
ifeq ($(DISABLE_SCENE_DUMP),no)
LIBGPAC_SCENEMANAGER+=scene_manager/scene_dump.o
endif
ifeq ($(DISABLE_SCENE_STATS),no)
LIBGPAC_SCENEMANAGER+=scene_manager/scene_stats.o
endif
ifeq ($(DISABLE_SENG),no)
LIBGPAC_SCENEMANAGER+=scene_manager/scene_engine.o
endif
ifeq ($(DISABLE_SCENE_ENCODE),no)
LIBGPAC_SCENEMANAGER+=scene_manager/encode_isom.o
endif

## libgpac objects gathering: src/terminal
LIBGPAC_TERMINAL=terminal/terminal.o


## libgpac objects gathering: src/compositor
LIBGPAC_COMPOSITOR=compositor/audio_input.o compositor/audio_mixer.o compositor/audio_render.o compositor/bindable.o compositor/camera.o compositor/compositor.o compositor/compositor_2d.o compositor/compositor_3d.o compositor/compositor_node_init.o compositor/drawable.o compositor/events.o compositor/font_engine.o compositor/hc_flash_shape.o compositor/hardcoded_protos.o compositor/mesh.o compositor/mesh_collide.o compositor/mesh_tesselate.o compositor/mpeg4_animstream.o compositor/mpeg4_audio.o compositor/mpeg4_background.o compositor/mpeg4_background2d.o compositor/mpeg4_bitmap.o compositor/mpeg4_composite.o compositor/mpeg4_form.o compositor/mpeg4_geometry_2d.o compositor/mpeg4_geometry_3d.o compositor/mpeg4_geometry_ifs2d.o compositor/mpeg4_geometry_ils2d.o compositor/mpeg4_gradients.o compositor/mpeg4_grouping.o compositor/mpeg4_grouping_2d.o compositor/mpeg4_grouping_3d.o compositor/mpeg4_layer_2d.o compositor/mpeg4_layer_3d.o compositor/mpeg4_layout.o compositor/mpeg4_lighting.o compositor/mpeg4_path_layout.o compositor/mpeg4_sensors.o compositor/mpeg4_sound.o compositor/mpeg4_text.o compositor/mpeg4_textures.o compositor/mpeg4_timesensor.o compositor/mpeg4_viewport.o compositor/navigate.o compositor/offscreen_cache.o compositor/svg_base.o compositor/svg_filters.o compositor/svg_font.o compositor/svg_geometry.o compositor/svg_grouping.o compositor/svg_media.o compositor/svg_paint_servers.o compositor/svg_text.o compositor/texturing.o compositor/texturing_gl.o compositor/visual_manager.o compositor/visual_manager_2d.o compositor/visual_manager_2d_draw.o compositor/visual_manager_3d.o compositor/visual_manager_3d_gl.o compositor/x3d_geometry.o compositor/clock.o compositor/mpeg4_inputsensor.o compositor/mpeg4_mediacontrol.o compositor/media_object.o compositor/mpeg4_mediasensor.o compositor/mpeg4_inline.o compositor/scene_ns.o compositor/object_manager.o compositor/scene.o compositor/svg_external.o compositor/scene_node_init.o

ifeq ($(DISABLE_PLAYER),yes)
LIBGPAC_COMPOSITOR=compositor/font_engine.o
LIBGPAC_TERMINAL=
endif
ifeq ($(DISABLE_SCENEGRAPH),yes)
LIBGPAC_SCENE=scenegraph/vrml_js.o
endif

ifeq ($(DISABLE_EVG),yes)
LIBGPAC_EVG=
endif


## libgpac objects gathering: src/laser
LIBGPAC_LASER=
ifeq ($(DISABLE_LASER),no)
LIBGPAC_LASER=laser/lsr_enc.o laser/lsr_dec.o laser/lsr_tables.o
endif

## libgpac objects gathering:
OBJS=$(LIBGPAC_UTILS) $(LIBGPAC_CRYPTO) $(LIBGPAC_SCENE) $(LIBGPAC_IETF) $(LIBGPAC_BIFS) $(LIBGPAC_ISOM) $(LIBGPAC_ODF) $(LIBGPAC_MEDIATOOLS) $(LIBGPAC_SCENEMANAGER) $(LIBGPAC_TERMINAL) $(LIBGPAC_COMPOSITOR) $(LIBGPAC_LASER) $(LIBGPAC_EVG) $(LIBGPAC_FILTERS) $(LIBGPAC_FILTERS_SVC) $(LIBGPAC_FILTERS_OHEVC) $(LIBGPAC_QUICKJS) $(LIBGPAC_JSMODS)

SCENEGRAPH_CFLAGS=
MEDIATOOLS_CFLAGS=$(JS_FLAGS)

##include static modules and other deps for libgpac
include ../static.mak

=== applications/deprecated/old_arch/mp42avi/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/applications/mp42avi

CFLAGS= $(OPTFLAGS) -I"$(SRC_PATH)/include"

ifeq ($(DEBUGBUILD),yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD),yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

#common obj
OBJS= main.o


ifeq ($(CONFIG_WIN32),yes)
EXE=.exe
PROG=MP42Avi$(EXE)
else
EXT=
PROG=MP42Avi
endif

SRCS := $(OBJS:.o=.c) 

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) -o ../../bin/gcc/$@ $(OBJS) -L../../bin/$(TARGET_BIN_DIR) -lgpac -lz $(LDFLAGS)

clean: 
	rm -f $(OBJS) ../../bin/gcc/$(PROG)

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend

-include .depend

=== applications/deprecated/old_arch/osmozilla/Makefile ===
include ../../config.mak

vpath %.cpp $(SRC_PATH)/applications/osmozilla

ifeq ($(CONFIG_WIN32),yes)
USER_NAME=root
else
USER_NAME=$(shell whoami)
ifeq ($(USER_NAME),root)
else
MOZILLA_DIR=local
endif
endif

CFLAGS=$(CXXFLAGS) $(XUL_CFLAGS) -I"$(SRC_PATH)/include"

ifeq ($(DEBUGBUILD),yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD),yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

ifeq ($(CONFIG_WIN32),yes)
CFLAGS+=-DXP_WIN
else
ifeq ($(CONFIG_DARWIN),yes)
CFLAGS+=-DXP_MAC
else
CFLAGS+=-DXP_UNIX -DMOZ_X11
endif
endif

CFLAGS+=-DNPBASIC_EXPORTS -DMOZILLA_STRICT_API -DXPCOM_GLUE


LINKLIBS=-L../../bin/gcc -lgpac

OBJS=osmozilla.o osmo_npapi.o

SRCS := $(OBJS:.o=.cpp) 


LIB=nposmozilla$(DYN_LIB_SUFFIX)
ifeq ($(CONFIG_WIN32),yes)
LINKLIBS+=-lwinmm -lgdi32
LDFLAGS+=--export-all-symbols
endif

all: $(LIB)

$(LIB): $(OBJS)
ifeq ($(CONFIG_WIN32),yes)
	windres osmozilla.rc osmoz.o
	$(CXX) $(SHFLAGS) -o ../../bin/gcc/$@ $(OBJS) osmoz.o $(LINKLIBS) $(LDFLAGS)
	cp "$(SRC_PATH)/applications/osmozilla/nsIOsmozilla.xpt_w32" ../../bin/gcc/nposmozilla.xpt
	chmod +w ../../bin/gcc/nposmozilla.xpt
else
	$(CXX) $(SHFLAGS) $(OBJS) $(LINKLIBS) -o ../../bin/gcc/$@  $(LDFLAGS)
	cp "$(SRC_PATH)/applications/osmozilla/nsIOsmozilla.xpt_linux" ../../bin/gcc/nposmozilla.xpt
	chmod +w ../../bin/gcc/nposmozilla.xpt
endif
	@echo $(USER_ROOT)

clean:
	rm -f $(OBJS) ../../bin/gcc/$(LIB) ../../bin/gcc/nposmozilla.xpt
ifeq ($(CONFIG_WIN32),yes)
	rm -f osmoz.o
endif

install: 
ifeq ($(MOZILLA_DIR),local)
ifeq ($(USER_NAME),root)
	@echo "*** Root cannot install local mozilla plugins! ***"
	@echo "*** Exit root mode and reinstall mozilla plugin! ***"
else
	$(MAKE) $(LIB)
	$(INSTALL) -D -m 755 ../../bin/gcc/$(LIB) "$(HOME)/.mozilla/plugins/$(LIB)"
	$(INSTALL) -D -m 755 ../../bin/gcc/nposmozilla.xpt "$(HOME)/.mozilla/components/nposmozilla.xpt"
endif
else
	$(INSTALL) -D -m 755 ../../bin/gcc/$(LIB) "$(MOZILLA_DIR)/components/$(LIB)"
	$(INSTALL) -D -m 755 ../../bin/gcc/nposmozilla.xpt "$(MOZILLA_DIR)/components/nposmozilla.xpt"
endif

uninstall:
ifeq ($(MOZILLA_DIR),local)
ifeq ($(USER_NAME),root)
else
	rm -rf "$(HOME)/.mozilla/plugins/$(LIB)"
	rm -rf "$(HOME)/.mozilla/components/nposmozilla.xpt"
endif
else
	rm -rf "$(MOZILLA_DIR)/components/$(LIB)"
	rm -rf "$(MOZILLA_DIR)/components/nposmozilla.xpt"
endif

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend

=== debian/changelog ===
gpac-dmo (1:1.0.1+really1.0.1+20210801.git2dfbf0c7a-dmo1) unstable; urgency=medium

  * Git snapshot to delete all CVE's patches
    03_CVE-2020-35979-to-CVE-2021-31262 and 04_CVE-2020-35980.diff

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 01 Aug 2021 17:18:06 +0200

gpac-dmo (1:1.0.1+really1.0.1-dmo4) unstable; urgency=medium

  * New patch to fix CVE-2020-35980

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Jul 2021 20:04:11 +0200

gpac-dmo (1:1.0.1+really1.0.1-dmo3) unstable; urgency=medium

  * Add patches from Debian to fixes :
    - CVE-2021-30014/CVE-2021-30020/CVE-2021-30022
    - CVE-2020-35979
    - CVE-2020-35981
    - CVE-2020-35982
    - CVE-2021-28300
    - CVE-2021-29279
    - CVE-2021-31255
    - CVE-2021-31256
    - CVE-2021-31261
    - CVE-2021-30015
    - CVE-2021-30019
    - CVE-2021-30199
    - CVE-2021-31257
    - CVE-2021-31258
    - CVE-2021-31260
    - CVE-2021-31262

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 May 2021 17:01:12 +0200

gpac-dmo (1:1.0.1+really1.0.1-dmo2) unstable; urgency=medium

  * Add upstream patch to fixes a NULL pointer dereference in the function
    MergeTrack in isomedia/track.c CVE-2021-28300

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Apr 2021 22:59:10 +0200

gpac-dmo (1:1.0.1+really1.0.1-dmo1) unstable; urgency=medium

  * New upstream release (Really 1.0.1).

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 11 Sep 2020 09:03:20 +0200

gpac-dmo (1:1.0.1-dmo1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Jun 2020 18:45:40 +0200

gpac-dmo (1:1.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Jun 2020 00:05:07 +0200

gpac-dmo (1:0.9.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Jun 2020 14:07:56 +0200

gpac-dmo (1:0.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 27 Jun 2019 14:12:13 +0200

gpac-dmo (1:0.7.1+20190313.git21f1d86ee-dmo2) unstable; urgency=medium

  * Apply upstream patch to fix CVE-2019-12481, CVE-2019-12482 and
    CVE-2019-12483

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Jun 2019 23:14:19 +0200

gpac-dmo (1:0.7.1+20190313.git21f1d86ee-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Mar 2019 08:30:48 +0100

gpac-dmo (1:0.7.1+20190305.git32588327e-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 06 Mar 2019 16:11:47 +0100

gpac-dmo (1:0.7.1+20181021.git32bc798ca-dmo1) unstable; urgency=medium

  * New git snapshot.
    Support for HEIF
    Support for AV1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 21 Oct 2018 14:43:00 +0200

gpac-dmo (1:0.7.1+20180421.git71effb905-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 21 Apr 2018 15:41:46 +0200

gpac-dmo (1:0.7.1+20180116.gitb12b86e99-dmo1) unstable; urgency=medium

  * Git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Jan 2018 15:39:57 +0100

gpac-dmo (1:0.7.1-dmo3) unstable; urgency=medium

  * Rebuild against libdirectfb-1.7-7

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Aug 2017 08:17:23 +0200

gpac-dmo (1:0.7.1-dmo2) unstable; urgency=medium

  * Fix ssl 1.1 support with a patch from upstream issue tracker.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Aug 2017 09:55:25 +0200

gpac-dmo (1:0.7.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 26 Apr 2017 14:01:21 +0200

gpac-dmo (1:0.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 14 Apr 2017 14:16:21 +0200

gpac-dmo (1:0.6.1+20170130.568febc4c-dmo1) unstable; urgency=medium

  * New upstream git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 30 Jan 2017 08:46:35 +0100

gpac-dmo (1:0.6.1+20160914.11828de-dmo1) unstable; urgency=medium

  * New upstream git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Sep 2016 16:25:35 +0200

gpac-dmo (1:0.6.1+20160627.8a9f983-dmo2) unstable; urgency=medium

  * Must be rebuild against ffmpeg 3.1.1

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 Jul 2016 08:58:31 +0200

gpac-dmo (1:0.6.1+20160627.8a9f983-dmo1) unstable; urgency=medium

  * New upstream git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Jun 2016 17:47:24 +0200

gpac-dmo (1:0.6.1-dmo2) unstable; urgency=medium

  * Rebuild against libpng16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Apr 2016 14:00:23 +0200

gpac-dmo (1:0.6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Mar 2016 18:13:02 +0100

gpac-dmo (1:0.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 Feb 2016 17:40:19 +0100

gpac-dmo (1:0.5.2+20160216.7d45d8b-dmo1) unstable; urgency=medium

  * New upstream git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 16 Feb 2016 18:34:01 +0100

gpac-dmo (1:0.5.2+20160128.d31463e-dmo1) unstable; urgency=medium

  * New upstream git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Jan 2016 14:25:46 +0100

gpac-dmo (1:0.5.2+20151103.4c659b5-dmo1) unstable; urgency=medium

  * New upstream git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Nov 2015 14:42:30 +0100

gpac-dmo (1:0.5.2-dmo2) unstable; urgency=medium

  * Added libavdevice-dev and  libavutil-dev in Build-Depends



=== debian/control ===
Source: gpac-dmo
Section: graphics
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: http://gpac.sourceforge.net
Standards-Version: 4.5.1
Build-Conflicts: libgpac-dev, libopenjpeg-dev
Build-Depends: debhelper-compat (= 13), libxvidcore-dev, libsdl2-dev,
 libpng-dev, libfreetype-dev, libjpeg62-turbo-dev, libmad0-dev, libxml2-dev,
 libssl-dev, libasound2-dev, freeglut3-dev, libpulse-dev, quilt, liblzma-dev,
 libfaad-dev (>= 2.7), libogg-dev, liba52-0.7.4-dev, libswscale-dev,
 libjack-jackd2-dev, libxv-dev, libxmlrpc-core-c3-dev, libvorbis-dev,
 libtheora-dev, libopenjp2-7-dev, libavcodec-dev (>= 10:4.0~), libavdevice-dev,
 libavformat-dev, libusb-1.0-0-dev, libavutil-dev

Package: gpac
Architecture: any
Depends: gpac-modules-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: multimedia framework based on the MPEG-4 Systems standard
 The main development goal is to provide a clean (a.k.a. readable by as many
 people as possible), small and flexible alternative to the MPEG-4 Systems
 reference software (known as IM1 and distributed in ISO/IEC 14496-5). The
 MPEG-4 Reference software is indeed a very large piece of software,
 designed to verify the standard rather than provide a small,
 production-stable software.

Package: gpac-modules-base
Architecture: any
Multi-Arch: same
Breaks: gpac (<= 1:0.5.0-dmo2)
Replaces: gpac (<= 1:0.5.0-dmo2)
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GPAC Project on Advanced Content - modules
 GPAC stands for GPAC Project on Advanced Content (a recursive acronym). It
 is an Open Source multimedia framework for research and academic purposes.
 The project covers different aspects of multimedia, with a focus on
 presentation technologies (graphics, animation and interactivity).
 .
 This package contains the GPAC modules.

Package: libgpac10
Architecture: any
Section: libs
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multimedia framework based on the MPEG-4 Systems standard
 The main development goal is to provide a clean (a.k.a. readable by as many
 people as possible), small and flexible alternative to the MPEG-4 Systems
 reference software (known as IM1 and distributed in ISO/IEC 14496-5). The
 MPEG-4 Reference software is indeed a very large piece of software,
 designed to verify the standard rather than provide a small,
 production-stable software.

Package: libgpac-dev
Architecture: any
Section: libdevel
Multi-Arch: same
Depends: libgpac10 (= ${binary:Version}), ${misc:Depends}
Replaces: gpac (<= 0.4.0+rc2-0.4)
Description: multimedia framework based on the MPEG-4 Systems standard
 The main development goal is to provide a clean (a.k.a. readable by as many
 people as possible), small and flexible alternative to the MPEG-4 Systems
 reference software (known as IM1 and distributed in ISO/IEC 14496-5). The
 MPEG-4 Reference software is indeed a very large piece of software,
 designed to verify the standard rather than provide a small,
 production-stable software.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)

ifeq "$(DEB_HOST_ARCH)" "armel"
	extralibs += -latomic
endif

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	--moddir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH)/gpac --use-js=no \
	--extra-cflags="-DXP_UNIX $(CFLAGS)" --enable-pic --enable-debug \
	--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)" \
	--libdir=lib/$(DEB_HOST_MULTIARCH) --use-freenect=no --use-a52=system \
	--extra-ldflags=$(extralibs)

#	exit 1

override_dh_clean:
	rm -rf src/.deps
	-rm src/.depend

	dh_clean config.log config.h bin/gcc/libgpac* gpac.pc \
	src/filters/dec_openhevc.o applications/generators/WebGLGen/WGLGen \
	src/modules/dektec_out/dektec_video_decl.dep

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean

override_dh_install:
	$(MAKE) install-lib prefix=$(CURDIR)/debian/tmp/usr

	mv debian/tmp/usr/share/man/man1/mp4box.1 debian/tmp/usr/share/man/man1/MP4Box.1
	mv debian/tmp/usr/share/man/man1/mp4client.1 debian/tmp/usr/share/man/man1/MP4Client.1

	dh_install

override_dh_installdocs:
	dh_installdocs share/doc/configuration.html

=== debian/watch ===
version=4

https://github.com/gpac/gpac/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## gpac-dmo 2.2.1

=== applications/deprecated/mp42ts/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/applications/mp42ts

CFLAGS= $(OPTFLAGS) -I"$(SRC_PATH)/include"

ifeq ($(DEBUGBUILD),yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD),yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

LINKFLAGS=-L../../bin/gcc
ifeq ($(CONFIG_WIN32),yes)
EXE=.exe
PROG=MP42TS$(EXE)
else
EXT=
PROG=MP42TS
endif

ifeq ($(STATICBUILD),yes)
##include static modules and other deps for libgpac
include ../../static.mak

#FIXME we have to disable AAC+bifs support in mp42ts since it reuses things from aac_in already in libgpac ...
ifeq ($(STATIC_MODULES),yes)
CFLAGS+=-DGPAC_DISABLE_PLAYER
endif

LINKFLAGS+=-lgpac_static
LINKFLAGS+= $(GPAC_SH_FLAGS)
LINKFLAGS+=$(EXTRALIBS)
else
LINKFLAGS+=-lgpac 
ifeq ($(CONFIG_DARWIN),yes)
#LINKFLAGS+= -Wl,-rpath,'@loader_path'
else
LINKFLAGS+= -Wl,-rpath,'$$ORIGIN' -Wl,-rpath-link,../../bin/gcc
endif
endif


#common objs - insert after ../static if any to overwrite list of objects
OBJS= main.o

SRCS := $(OBJS:.o=.c) 

all: $(PROG)

$(PROG): $(OBJS)
	$(CC) -o ../../bin/gcc/$@ $(OBJS) $(LINKFLAGS) $(LDFLAGS)

clean: 
	rm -f $(OBJS) ../../bin/gcc/$(PROG)

dep: depend

depend:
	rm -f .depend	
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend

-include .depend

=== applications/deprecated/old_arch/dashcast/Makefile ===
include ../../config.mak

vpath %.c $(SRC_PATH)/applications/dashcast

CFLAGS= $(OPTFLAGS) -D_GNU_SOURCE -Wno-deprecated-declarations -I"$(SRC_PATH)/include" -I../../ $(ffmpeg_cflags)

LINKFLAGS=$(GPAC_SH_FLAGS)

ifeq ($(DEBUGBUILD),yes)
CFLAGS+=-g
LDFLAGS+=-g
endif

ifeq ($(GPROFBUILD),yes)
CFLAGS+=-pg
LDFLAGS+=-pg
endif

ifeq ($(GPACREADONLY),yes)
CFLAGS+=-DGPAC_READ_ONLY
endif

ifneq ($(CONFIG_LIBAV),no)
CFLAGS+=-DGPAC_USE_LIBAV
endif

ifeq ($(CONFIG_WIN32),yes)
EXE=.exe
PROG=DashCast$(EXE)
else
EXT=
PROG=DashCast
endif


ifeq ($(STATICBUILD),yes)
##include static modules and other deps for libgpac
include ../../static.mak
LINKFLAGS+=-lgpac_static
LINKFLAGS+= $(GPAC_SH_FLAGS)
LINKFLAGS+=$(EXTRALIBS)
else
LINKFLAGS+=-lgpac
endif

#common obj
OBJS= dashcast.o audio_data.o audio_decoder.o audio_encoder.o audio_muxer.o circular_buffer.o cmd_data.o controler.o message_queue.o register.o video_data.o video_decoder.o video_encoder.o video_muxer.o video_scaler.o task.o

LINKFLAGS+= $(ffmpeg_lflags_dashcast)

ifneq ($(CONFIG_LIBSWRESAMPLE),no)
CFLAGS+=-DDC_AUDIO_RESAMPLER
LINKFLAGS+=-lswresample
endif

ifeq ($(CONFIG_DARWIN),yes)
#fixme - use proper detection of libavdevice dependencies
#LINKFLAGS+=-lavfilter -lswresample -lbz2
endif

SRCS := $(OBJS:.o=.c)

all: $(PROG)

DashCast$(EXE): $(OBJS)
	$(CC) -o ../../bin/gcc/$@ $(OBJS) -L../../bin/gcc $(LDFLAGS) $(LINKFLAGS)

clean:
	rm -f $(OBJS) ../../bin/gcc/$(PROG)

install: clean
	install -m 755 $(INSTFLAGS) ../../bin/gcc/DashCast "$(DESTDIR)$(prefix)/bin"

uninstall:
	rm -rf $(DESTDIR)$(prefix)/bin/DashCast

dep: depend

depend:
	rm -f .depend
	$(CC) -MM $(CFLAGS) $(SRCS) 1>.depend

distclean: clean
	rm -f Makefile.bak .depend

-include .depend

=== debian/changelog ===
gpac-dmo (1:2.2.1-dmo1+deb12u2) stable; urgency=medium

  * Add all missing patches :)

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Sep 2023 15:08:43 +0200

gpac-dmo (1:2.2.1-dmo1+deb12u1) stable; urgency=medium

  * Add upstream patches to fixes :
    CVE-2023-3012: NULL Pointer Dereference
    CVE-2023-3013: Unchecked Return Value
    CVE-2023-3291: Heap-based Buffer Overflow
    CVE-2023-39562: heap-use-after-free
    CVE-2023-4678: Divide By Zero
    CVE-2023-4681: NULL Pointer Dereference
    CVE-2023-4682: Heap-based Buffer Overflow
    CVE-2023-4683: NULL Pointer Dereference
    CVE-2023-4720: Floating Point Comparison with Incorrect Operator
    CVE-2023-4721: Out-of-bounds Read
    CVE-2023-4722: Integer Overflow or Wraparound
    CVE-2023-4754: Out-of-bounds Write
    CVE-2023-4755: Use After Free
    CVE-2023-4756: Stack-based Buffer Overflow
    CVE-2023-4758: Buffer Over-read
    CVE-2023-4778: Out-of-bounds Read

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Sep 2023 14:31:42 +0200

gpac-dmo (1:2.2.1-dmo1) unstable; urgency=medium

  * New upstream release.
  * Remove all CVE patches fixed upstream.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 25 Apr 2023 00:44:08 +0200

gpac-dmo (1:2.2.0-dmo6) unstable; urgency=medium

  * Add upstream patches to fixes CVE-2023-1448, CVE-2023-1449,
    CVE-2023-1452, CVE-2023-1654, CVE-2023-1655

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 14 Apr 2023 11:01:34 +0200

gpac-dmo (1:2.2.0-dmo5) unstable; urgency=medium

  * Add upstream patches to fixes :
    CVE-2023-0358.patch : Use After Free
    CVE-2023-0817.patch : Buffer Over-read
    CVE-2023-0819.patch : Heap-based Buffer Overflow
    CVE-2023-0866.patch : Heap-based Buffer
    CVE-2023-23143.patch : Buffer overflow vulnerability in function
    avc_parse_slice in file media_tools/av_parsers.c
    CVE-2023-23144.patch : Integer overflow vulnerability in function
    Q_DecCoordOnUnitSphere file bifs/unquantize.c
    CVE-2023-23145.patch : memory leak in lsr_read_rare_full function

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 17 Mar 2023 15:55:56 +0100

gpac-dmo (1:2.2.0-dmo4) unstable; urgency=medium

  * Add upstream patch to fix build with ffmpeg 6

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 13 Mar 2023 10:02:18 +0100

gpac-dmo (1:2.2.0-dmo3) unstable; urgency=medium

  * Add upstream patch to fix powerpc build.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Dec 2022 18:39:40 +0100

gpac-dmo (1:2.2.0-dmo2) unstable; urgency=medium

  * Add libnghttp2-dev to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Dec 2022 11:14:32 +0100

gpac-dmo (1:2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 20 Dec 2022 08:23:13 +0100

gpac-dmo (1:2.0.0-dmo6) unstable; urgency=medium

  * Add upstream patches. Fixes CVE-2022-38530, CVE-2022-36186,
    CVE-2022-36190 and CVE-2022-36191

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 13 Sep 2022 07:25:48 +0200

gpac-dmo (1:2.0.0-dmo5) unstable; urgency=medium

  * Add upstream patch to fixes CVE-2022-2549

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Aug 2022 20:20:25 +0200

gpac-dmo (1:2.0.0-dmo4) unstable; urgency=medium

  * Build with ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 14:01:18 +0200

gpac-dmo (1:2.0.0-dmo3) unstable; urgency=medium

  * Build with libssl3

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 14 May 2022 07:40:00 +0200

gpac-dmo (1:2.0.0-dmo2) unstable; urgency=medium

  * Add upstream patch to fix CVE-2022-26967 (heap-based buffer overflow in
    gf_base64_encode).

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 14 Mar 2022 16:27:42 +0100

gpac-dmo (1:2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 23 Feb 2022 01:45:29 +0100

gpac-dmo (1:1.0.1+really1.0.1+20220208.git8be34973d-dmo1) unstable; urgency=medium

  * New git snapshot.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 08 Feb 2022 13:59:05 +0100

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,17 @@
 Priority: optional
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
-Homepage: http://gpac.sourceforge.net
-Standards-Version: 4.5.1
+Homepage: https://gpac.sourceforge.net
+Rules-Requires-Root: no
+Standards-Version: 4.6.2
 Build-Conflicts: libgpac-dev, libopenjpeg-dev
 Build-Depends: debhelper-compat (= 13), libxvidcore-dev, libsdl2-dev,
  libpng-dev, libfreetype-dev, libjpeg62-turbo-dev, libmad0-dev, libxml2-dev,
  libssl-dev, libasound2-dev, freeglut3-dev, libpulse-dev, quilt, liblzma-dev,
  libfaad-dev (>= 2.7), libogg-dev, liba52-0.7.4-dev, libswscale-dev,
  libjack-jackd2-dev, libxv-dev, libxmlrpc-core-c3-dev, libvorbis-dev,
- libtheora-dev, libopenjp2-7-dev, libavcodec-dev (>= 10:4.0~), libavdevice-dev,
- libavformat-dev, libusb-1.0-0-dev, libavutil-dev
+ libtheora-dev, libopenjp2-7-dev, libavcodec-dev (>= 10:6.0~), libavdevice-dev,
+ libavformat-dev, libusb-1.0-0-dev, libavutil-dev, libnghttp2-dev
 
 Package: gpac
 Architecture: any
@@ -39,7 +40,7 @@
  .
  This package contains the GPAC modules.
 
-Package: libgpac10
+Package: libgpac12
 Architecture: any
 Section: libs
 Multi-Arch: same
@@ -56,7 +57,7 @@
 Architecture: any
 Section: libdevel
 Multi-Arch: same
-Depends: libgpac10 (= ${binary:Version}), ${misc:Depends}
+Depends: libgpac12 (= ${binary:Version}), ${misc:Depends}
 Replaces: gpac (<= 0.4.0+rc2-0.4)
 Description: multimedia framework based on the MPEG-4 Systems standard
  The main development goal is to provide a clean (a.k.a. readable by as many

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

CFLAGS = $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)

ifeq "$(DEB_HOST_ARCH)" "armel"
	extralibs += -latomic
endif

%:
	dh $@ --with quilt

override_dh_auto_configure:
	dh_auto_configure -- \
	--libdir=lib/$(DEB_HOST_MULTIARCH) --use-freenect=no \
	--extra-cflags="-DXP_UNIX $(CFLAGS)" --enable-pic --enable-debug \
	--extra-ldflags="$(shell dpkg-buildflags --get LDFLAGS)" $(extralibs)

	echo "#define GPAC_GIT_REVISION	\"$(DEB_VERSION)\"" > include/gpac/revision.h

#	exit 1

override_dh_clean:
	rm -rf src/.deps
	-rm src/.depend

	dh_clean config.log config.h bin/gcc/libgpac* gpac.pc \
	src/filters/dec_openhevc.o applications/generators/WebGLGen/WGLGen \
	src/modules/dektec_out/dektec_video_decl.dep include/gpac/revision.h

override_dh_auto_clean:
	[ ! -f config.mak ] || $(MAKE) distclean

override_dh_install:
	$(MAKE) install-lib prefix=$(CURDIR)/debian/tmp/usr

	mv debian/tmp/usr/share/man/man1/mp4box.1 debian/tmp/usr/share/man/man1/MP4Box.1

	dh_install

#override_dh_auto_build-indep:
#	$(MAKE) doc

#	dh_installdocs share/doc/html-libgpac
